Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class PortalAdminManager

    java.lang.Object
      com.bea.jsptools.portal.PortalManager
          com.bea.jsptools.portal.PortalAdminManager

public class PortalAdminManager
extends PortalManager

** TODO Handle ALL EXCEPTIONS!!!!!!!!!!! *********************

Field Summary
`static HashSet` | `allPortletIds`
`static String` | `allPortletIdsString`
`static String` | `allPortletOptions`
`static String` | `categoryJavaScriptArrays`
`static String` | `categoryOptions`
`static ArrayList` | `categoryOptionsList`
`static String` | `I18N_FILE`
`static String` | `LIB_ANCESTRY`
`static PortalLogger` | `logger`
`static int` | `numCategories`
`static String` | `numCategoriesText`

Constructor Summary
`PortalAdminManager()`

Method Summary
`static void` | `addNavigableToBookDefinition(String navId, String bookId, String navType, HttpServletRequest request)` Adds Navigable to a Book Definition.
`static void` | `addNewBookToBookDefinition(String bookId, String webAppName, Locale locale, HttpServletRequest request)`
`static void` | `addNewBookToPageDefinition(String pageId, String webAppName, Locale locale, HttpServletRequest request)`
`static void` | `addNewPageToBookDefinition(String bookId, String webAppName, Locale locale, HttpServletRequest request)`
`static void` | `addPlaceableToPageDefinition(String placeableId, String pageId, String placeableType, HttpServletRequest request)` Adds Placeable to a Page Definition.
`static boolean` | `canPropagatePortletPreferences(String portletId, String webAppName, HttpServletRequest request)`
`static void` | `clonePortletDefinition(String id, Locale locale, HttpServletRequest request)` Clones and creates new Portlet Definition.
`static void` | `copyDesktopDefinition(String webApp, String portalPath, String desktopPath, String newDesktopPath, Locale locale, HttpServletRequest request)`
`static String` | `createBookDefinition(String webAppName, String title, String desc, String menuId, Locale locale, HttpServletRequest request)` Creates new Book Definition.
`static String` | `createBookDefinition(String webAppName, String title, String desc, String menuId, Locale locale, HttpServletRequest request, boolean isPublic)`
`static String` | `createBookDefinitionWithEditMode(String webAppName, String title, String desc, String menuId, Locale locale, HttpServletRequest request)`
`static void` | `createDesktopDefinition(String webApp, String desktopName, String desktopDescription, String shellId, String lookAndFeelId, String bookId, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static void` | `createDesktopFromTemplate(String portalTemplatePath, String desktopTitle, String desktopDescription, String webAppName, String thePortalPath, String theDesktopPath, int disassemblerAction, Locale locale, HttpServletRequest request)`
`static String` | `createPageDefinition(String webAppName, String title, String desc, String layoutId, Locale locale, HttpServletRequest request)` Creates new Page Definition.
`static String` | `createPageDefinition(String webAppName, String title, String desc, String layoutId, Locale locale, HttpServletRequest request, boolean isPublic)`
`static void` | `createPortalDefinition(String webappName, String portalPath, String title, String description, String portalUri, Locale locale, HttpServletRequest request)`
`static void` | `createResources(int numPortals, int numDesktops, String portalPrefix, Locale locale, HttpServletRequest request)`
`static boolean` | `deleteBookDefinitions(String[] ids, HttpServletRequest request)`
`static boolean` | `deleteBookDefinitionsWithCascade(String[] ids, HttpServletRequest request)`
`static boolean` | `deleteDesktopDefinition(String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static boolean` | `deleteDesktopDefinitionWithCascade(String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static void` | `deleteLayoutDefinitions(String[] ids, HttpServletRequest request)`
`static boolean` | `deleteLookAndFeelDefinitions(String[] ids, HttpServletRequest request)`
`static void` | `deleteMenuDefinitions(String[] ids, HttpServletRequest request)`
`static boolean` | `deletePageDefinitions(String[] ids, HttpServletRequest request)`
`static boolean` | `deletePageDefinitionsWithCascade(String[] ids, HttpServletRequest request)`
`static boolean` | `deletePortalDefinition(String webApp, String portalPath, Locale locale, HttpServletRequest request)`
`static boolean` | `deletePortletDefinitions(String[] ids, HttpServletRequest request)`
`static boolean` | `deletePortletDefinitionsWithCascade(String[] ids, HttpServletRequest request)`
`static void` | `deletePortletPreference(String portletId, String prefName, String webAppName, boolean propagateDelete, HttpServletRequest request)`
`static void` | `deleteShellDefinitions(String[] ids, HttpServletRequest request)`
`static void` | `deleteThemeDefinitions(String[] ids, HttpServletRequest request)`
`static void` | `deleteThemeDefinitionsWithCascade(String[] ids, HttpServletRequest request)`
`static void` | `editPortletDefinition(String id)`
`static void` | `generatePortletCategoryArrays(String webAppName, String indentStr, String requestType, String requestTypeTaxonomy, Locale locale, HttpServletRequest request)`
`static BookDefinition` | `getBookDefinition(String id, Locale locale, HttpServletRequest request)`
`static int` | `getBookDefinitionCount(String webApp, HttpServletRequest request)`
`static BookDefinition[]` | `getBookDefinitions(String webapp, Locale locale, HttpServletRequest request)`
`static BookView` | `getBookView(String bookDefinitionId, Locale locale, HttpServletRequest request)`
`static BookView[]` | `getBookViews(String bookDefinitionId, Locale locale, HttpServletRequest request)`
`static BookView[]` | `getBookViewsForPage(String pageDefinitionId, Locale locale, HttpServletRequest request)`
`static DesktopDefinition` | `getDesktopDefinition(String webApp, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static int` | `getDesktopDefinitionCount(String portalPath, String webApp, HttpServletRequest request)`
`static DesktopDefinition[]` | `getDesktopDefinitions(String webapp, Locale locale, HttpServletRequest request)`
`static DesktopDefinition[]` | `getDesktopDefinitions(String webapp, String portalPath, Locale locale, HttpServletRequest request)`
`static DesktopDefinition[]` | `getDesktopDefinitions(String webapp, String startPath, String portalPath, int limit, Locale locale, HttpServletRequest request)`
`static LayoutDefinition` | `getLayoutDefinition(LayoutDefinitionId layoutDefinitionId, Locale locale, HttpServletRequest request)`
`static int` | `getLayoutDefinitionCount(String webApp, HttpServletRequest request)`
`static LayoutDefinition[]` | `getLayoutDefinitions(String webapp, String layoutId, int limit, Locale locale, HttpServletRequest request)`
`static LocalizationResource[]` | `getLocalizationResources(LocalizationIntersectionId id)`
`static LookAndFeelDefinition` | `getLookAndFeelDefinition(String lookId, Locale locale, HttpServletRequest request)`
`static int` | `getLookAndFeelDefinitionCount(String webApp, HttpServletRequest request)`
`static LookAndFeelDefinition[]` | `getLookAndFeelDefinitions(String webapp, String lookAndFeelId, int limit, Locale locale, HttpServletRequest request)`
`static MenuDefinition` | `getMenuDefinition(MenuDefinitionId menuDefinitionId, Locale locale, HttpServletRequest request)`
`static int` | `getMenuDefinitionCount(String webApp, HttpServletRequest request)`
`static MenuDefinition[]` | `getMenuDefinitions(String webapp, String menuId, int limit, Locale locale, HttpServletRequest request)`
`static MenuView` | `getMenuView(MenuDefinitionId menuDefinitionId, Locale locale, HttpServletRequest request)`
`static PageDefinition` | `getPageDefinition(String id, Locale locale, HttpServletRequest request)`
`static int` | `getPageDefinitionCount(String webApp, HttpServletRequest request)`
`static PageDefinition[]` | `getPageDefinitions(String webapp, Locale locale, HttpServletRequest request)`
`static PageView` | `getPageView(String pageDefinitionId, Locale locale, HttpServletRequest request)`
`static PageView[]` | `getPageViews(String bookDefinitionId, Locale locale, HttpServletRequest request)`
`static PortalDefinition` | `getPortalDefinition(String portalPath, String webAppName, Locale locale, HttpServletRequest request)`
`static PortalDefinition[]` | `getPortalDefinitions(String webAppName, Locale locale, HttpServletRequest request)`
`static PortletDefinition` | `getPortletDefinition(String id, Locale locale, HttpServletRequest request)`
`static int` | `getPortletDefinitionCount(String webApp, HttpServletRequest request)`
`static PortletDefinition[]` | `getPortletDefinitions(PortletCategoryDefinitionId pcdId, Locale locale, HttpServletRequest request)`
`static PortletDefinition[]` | `getPortletDefinitions(String webapp, String portletId, int limit, Locale locale, HttpServletRequest request)`
`static Map` | `getPortletPreferences(String portletId, String webAppName, HttpServletRequest request)`
`static PortletCategoryDefinition` | `getPortletRootCategoryDefinition(String webAppName, Locale locale, HttpServletRequest request)`
`static PortletDefinition[]` | `getPortletsForCategory(PortletCategoryDefinition portletCategoryDefinition, Locale locale, HttpServletRequest request)`
`static HashMap` | `getPortletsHash(PortletDefinition[] portlets)`
`static PortletCategoryDefinition[]` | `getPortletSubCategoryDefinitions(PortletCategoryDefinitionId pcdId, Locale locale, HttpServletRequest request)`
`static PortletView` | `getPortletView(String id, Locale locale, HttpServletRequest request)`
`static PortletView[]` | `getPortletViews(String pageDefinitionId, Locale locale, HttpServletRequest request)`
`static BookDefinition[]` | `getPublicBookDefinitions(String webapp, Locale locale, HttpServletRequest request)`
`static BookDefinition[]` | `getPublicBookDefinitions(String webapp, String bookId, int limit, Locale locale, HttpServletRequest request)`
`static BookDefinition[]` | `getPublicBookDefinitions(String webapp, String bookId, int limit, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static PageDefinition[]` | `getPublicPageDefinitions(String webapp, Locale locale, HttpServletRequest request)`
`static PageDefinition[]` | `getPublicPageDefinitions(String webapp, String pageId, int limit, Locale locale, HttpServletRequest request)`
`static PageDefinition[]` | `getPublicPageDefinitions(String webapp, String pageId, int limit, String portalPath, String desktopPath, Locale locale, HttpServletRequest request)`
`static String` | `getServletURI(String webApp)`
`static int` | `getShellDefinitionCount(String webApp, HttpServletRequest request)`
`static ShellDefinition[]` | `getShellDefinitions(String webapp, Locale locale, HttpServletRequest request)`
`static ShellDefinition[]` | `getShellDefinitions(String webapp, String shellId, int limit, Locale locale, HttpServletRequest request)` **** Taking this out for now.... public static boolean isVisitorToolsEnabledInBookDefinition(String webApp, String bookId, HttpServletRequest request) { try { CustomizationContext cc = new CustomizationContext(Locale.getDefault(), request); BookDefinitionId bdi = new BookDefinitionId(Integer.parseInt(bookId)); BookDefinition bookDefinition = PortalBeanManager.getBookDefinitionManager().getBookDefinition(cc, bdi); if (bookDefinition.getMarkupDefinitionId().getId() == MarkupDefinition.MARKUP_BOOK_VISITOR_TOOL_ID.getId()) { return true; } } catch (Exception e) { PortalAdminToolsLogger.portalAdminError("PortalAdminManager.isVisitorToolsEnabledInBookDefinition() -- " + e.toString()); } return false; } public static void updateVisitorToolsInDesktopDefinition(String webApp, String portalPath, String desktopPath, boolean enableVisitorTools, HttpServletRequest request) { try { CustomizationContext cc = new CustomizationContext(Locale.getDefault(), request); DesktopDefinitionId ddi = new DesktopDefinitionId(webApp, new PortalPath(portalPath), new DesktopPath(desktopPath)); DesktopDefinition dd = PortalBeanManager.getDesktopDefinitionManager().getDesktopDefinition(cc, ddi); BookDefinitionId bdi = dd.getBookDefinitionId(); BookDefinition bookDefinition = PortalBeanManager.getBookDefinitionManager().getBookDefinition(cc, bdi); MarkupDefinitionId mdi = null; if (enableVisitorTools) { mdi = MarkupDefinition.MARKUP_BOOK_VISITOR_TOOL_ID; } else { mdi = MarkupDefinition.MARKUP_BOOK_NO_MIN_NO_MAX_ID; } bookDefinition.setMarkupDefinitionId(mdi); PortalBeanManager.getBookDefinitionManager().updateBookDefinition(cc, bookDefinition); } catch (Exception e) { PortalAdminToolsLogger.portalAdminError("PortalAdminManager.updateVisitorToolsInDesktopDefinition() -- " + e.toString()); } }
`static int` | `getThemeDefinitionCount(String webApp, HttpServletRequest request)`
`static ThemeDefinition[]` | `getThemeDefinitions(String webapp, String themeId, int limit, Locale locale, HttpServletRequest request)`
`static String[]` | `getWebApps(Locale locale, HttpServletRequest request)`
`static boolean` | `isCanManageAccessAllowed(String webAppName, String taxonomy, HttpServletRequest request)` Check for DA access...
`static boolean` | `isCanManageAllInstancesAccessAllowed(String webAppName, String taxonomy, HttpServletRequest request)`
`static boolean` | `isCanManageInstanceAccessAllowed(String webAppName, String taxonomy, HttpServletRequest request)`
`static boolean` | `isCanManageOtherAccessAllowed(String webAppName, String taxonomy, HttpServletRequest request)`
`static boolean` | `isPlaceholderLocked(String webApp, String pageId, String placeholderNum, HttpServletRequest request)`
`static void` | `moveNavigableInBookDefinition(String navId, String bookId, String navType, String navPosition, HttpServletRequest request)`
`static void` | `movePlaceableDefinitions(com.bea.jsptools.portal.placement.PlaceablePlacement[] placeables, String pageId, HttpServletRequest request)` Moves Placeables in a Page Definition.
`static PortletInstanceId` | `propagatePortletPreference(String portletId, String webAppName, HttpServletRequest request)`
`static boolean` | `removeNavFromBookDefinition(String navId, String bookId, String navType, HttpServletRequest request)` Removes a Navigable from a Book Definition.
`static void` | `removePlaceableDefinitions(com.bea.jsptools.portal.placement.PlaceablePlacement[] placeables, HttpServletRequest request)`
`static boolean` | `removePlaceableFromPageDefinition(String placeableId, String pageId, String placeableType, HttpServletRequest request)` Removes a Placeable from a Page Definition.
`static DesktopDefinition[]` | `searchDesktopDefinitions(String webapp, String searchValue, String portalPath, int limit, Locale locale, HttpServletRequest request)`
`static PortletDefinition[]` | `searchPortletDefinitions(String webapp, String searchValue, int limit, Locale locale, HttpServletRequest request)`
`static BookDefinition[]` | `searchPublicBookDefinitions(String webapp, String searchValue, int limit, Locale locale, HttpServletRequest request)`
`static PageDefinition[]` | `searchPublicPageDefinitions(String webapp, String searchValue, int limit, Locale locale, HttpServletRequest request)`
`static void` | `setDefaultNavigableInBookDefinition(String bookId, String navId, String navType, HttpServletRequest request)`
`static void` | `setPlaceholderLock(String webApp, String pageId, String placeholderNum, String lockValue, HttpServletRequest request)`
`static PortletInstanceId` | `setPortletPreference(String portletId, String prefName, String prefDescription, String[] prefValues, String webAppName, boolean propagateValue, boolean isModifiable, boolean isMultiValue, HttpServletRequest request)`
`static boolean` | `supportsPortletPreferences(String portletId, String webAppName, HttpServletRequest request)`
`static void` | `updateBookDefinition(String bookId, String newMenuId, String newThemeId, Locale locale, HttpServletRequest request)`
`static void` | `updateBookInDesktopDefinition(String webApp, String portalPath, String desktopPath, String bookId, HttpServletRequest request)`
`static void` | `updateLookAndFeelInDesktopDefinition(String webApp, String portalPath, String desktopPath, String lookId, HttpServletRequest request)`
`static void` | `updatePageDefinition(PageDefinitionId pdi, String newLabel, boolean newHidden, Locale locale, HttpServletRequest request)`
`static void` | `updatePageDefinition(String pageId, String newLayoutId, String newThemeId, Locale locale, HttpServletRequest request)`
`static void` | `updatePageDefinitionLayout(String pageId, String newLayoutId, Locale locale, HttpServletRequest request)`
`static void` | `updatePortalUri(String webAppName, String portalPath, String newPortalUri, Locale locale, HttpServletRequest request)`
`static void` | `updatePortletDefinition(String id, String newThemeId, Locale locale, HttpServletRequest request)`
`static void` | `updatePortletDefinitionCache(String id, boolean isCacheable, int cacheTime, Locale locale, HttpServletRequest request)`
`static void` | `updatePortletDefinitionThread(String id, boolean multithread, Locale locale, HttpServletRequest request)`
`static void` | `updateShellInDesktopDefinition(String webApp, String portalPath, String desktopPath, String shellId, HttpServletRequest request)`
`static void` | `updateTreeOptimizationInDesktopDefinition(String webApp, String portalPath, String desktopPath, boolean treeOptimization, HttpServletRequest request)`

Methods inherited from class com.bea.jsptools.portal.PortalManager
`createBookDefinition, createPageDefinition, getBookInstance, getBookView, getDesktopView, getLayoutDefinitions, getLayoutHtml, getLookAndFeelDefinitions, getMenuDefinitions, getPageInstance, getPageView, getPortletDefinitions, getPortletInstance, getPublicBookDefinitions, getPublicPageDefinitions, getThemeDefinitions, isPlaceholderInstanceLocked, setPortalLogger, updateBookInstanceMenu, updateBookInstanceTheme, updateBookInstanceTitle, updateDesktopInstance, updatePageInstanceLayout, updatePageInstanceTheme, updatePageInstanceTitle, updatePortletInstanceTheme, updatePortletInstanceTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### allPortletIds

    public static HashSet allPortletIds

### allPortletIdsString

    public static String allPortletIdsString

### allPortletOptions

    public static String allPortletOptions

### categoryJavaScriptArrays

    public static String categoryJavaScriptArrays

### categoryOptions

    public static String categoryOptions

### categoryOptionsList

    public static ArrayList categoryOptionsList

### I18N_FILE

    public static final String I18N_FILE

See Also:
  Constant Field Values

### LIB_ANCESTRY

    public static final String LIB_ANCESTRY

See Also:
  Constant Field Values

### logger

    public static PortalLogger logger

### numCategories

    public static int numCategories

### numCategoriesText

    public static String numCategoriesText

Constructor Detail

### PortalAdminManager

    public PortalAdminManager()

Method Detail

### addNavigableToBookDefinition

    public static void addNavigableToBookDefinition(String navId,
                                                    String bookId,
                                                    String navType,
                                                    HttpServletRequest request)

  Adds Navigable to a Book Definition.

### addNewBookToBookDefinition

    public static void addNewBookToBookDefinition(String bookId,
                                                  String webAppName,
                                                  Locale locale,
                                                  HttpServletRequest request)

### addNewBookToPageDefinition

    public static void addNewBookToPageDefinition(String pageId,
                                                  String webAppName,
                                                  Locale locale,
                                                  HttpServletRequest request)

### addNewPageToBookDefinition

    public static void addNewPageToBookDefinition(String bookId,
                                                  String webAppName,
                                                  Locale locale,
                                                  HttpServletRequest request)

### addPlaceableToPageDefinition

    public static void addPlaceableToPageDefinition(String placeableId,
                                                    String pageId,
                                                    String placeableType,
                                                    HttpServletRequest request)

  Adds Placeable to a Page Definition.

### canPropagatePortletPreferences

    public static boolean canPropagatePortletPreferences(String portletId,
                                                         String webAppName,
                                                         HttpServletRequest request)

### clonePortletDefinition

    public static void clonePortletDefinition(String id,
                                              Locale locale,
                                              HttpServletRequest request)

  Clones and creates new Portlet Definition.

### copyDesktopDefinition

    public static void copyDesktopDefinition(String webApp,
                                             String portalPath,
                                             String desktopPath,
                                             String newDesktopPath,
                                             Locale locale,
                                             HttpServletRequest request)

### createBookDefinition

    public static String createBookDefinition(String webAppName,
                                              String title,
                                              String desc,
                                              String menuId,
                                              Locale locale,
                                              HttpServletRequest request)

  Creates new Book Definition.

### createBookDefinition

    public static String createBookDefinition(String webAppName,
                                              String title,
                                              String desc,
                                              String menuId,
                                              Locale locale,
                                              HttpServletRequest request,
                                              boolean isPublic)

### createBookDefinitionWithEditMode

    public static String createBookDefinitionWithEditMode(String webAppName,
                                                          String title,
                                                          String desc,
                                                          String menuId,
                                                          Locale locale,
                                                          HttpServletRequest request)

### createDesktopDefinition

    public static void createDesktopDefinition(String webApp,
                                               String desktopName,
                                               String desktopDescription,
                                               String shellId,
                                               String lookAndFeelId,
                                               String bookId,
                                               String portalPath,
                                               String desktopPath,
                                               Locale locale,
                                               HttpServletRequest request)

### createDesktopFromTemplate

    public static void createDesktopFromTemplate(String portalTemplatePath,
                                                 String desktopTitle,
                                                 String desktopDescription,
                                                 String webAppName,
                                                 String thePortalPath,
                                                 String theDesktopPath,
                                                 int disassemblerAction,
                                                 Locale locale,
                                                 HttpServletRequest request)

### createPageDefinition

    public static String createPageDefinition(String webAppName,
                                              String title,
                                              String desc,
                                              String layoutId,
                                              Locale locale,
                                              HttpServletRequest request)

  Creates new Page Definition.

### createPageDefinition

    public static String createPageDefinition(String webAppName,
                                              String title,
                                              String desc,
                                              String layoutId,
                                              Locale locale,
                                              HttpServletRequest request,
                                              boolean isPublic)

### createPortalDefinition

    public static void createPortalDefinition(String webappName,
                                              String portalPath,
                                              String title,
                                              String description,
                                              String portalUri,
                                              Locale locale,
                                              HttpServletRequest request)

### createResources

    public static void createResources(int numPortals,
                                       int numDesktops,
                                       String portalPrefix,
                                       Locale locale,
                                       HttpServletRequest request)

### deleteBookDefinitions

    public static boolean deleteBookDefinitions(String[] ids,
                                                HttpServletRequest request)

### deleteBookDefinitionsWithCascade

    public static boolean deleteBookDefinitionsWithCascade(String[] ids,
                                                           HttpServletRequest request)

### deleteDesktopDefinition

    public static boolean deleteDesktopDefinition(String webApp,
                                                  String portalPath,
                                                  String desktopPath,
                                                  Locale locale,
                                                  HttpServletRequest request)

### deleteDesktopDefinitionWithCascade

    public static boolean deleteDesktopDefinitionWithCascade(String webApp,
                                                             String portalPath,
                                                             String desktopPath,
                                                             Locale locale,
                                                             HttpServletRequest request)

### deleteLayoutDefinitions

    public static void deleteLayoutDefinitions(String[] ids,
                                               HttpServletRequest request)

### deleteLookAndFeelDefinitions

    public static boolean deleteLookAndFeelDefinitions(String[] ids,
                                                       HttpServletRequest request)

### deleteMenuDefinitions

    public static void deleteMenuDefinitions(String[] ids,
                                             HttpServletRequest request)

### deletePageDefinitions

    public static boolean deletePageDefinitions(String[] ids,
                                                HttpServletRequest request)

### deletePageDefinitionsWithCascade

    public static boolean deletePageDefinitionsWithCascade(String[] ids,
                                                           HttpServletRequest request)

### deletePortalDefinition

    public static boolean deletePortalDefinition(String webApp,
                                                 String portalPath,
                                                 Locale locale,
                                                 HttpServletRequest request)

### deletePortletDefinitions

    public static boolean deletePortletDefinitions(String[] ids,
                                                   HttpServletRequest request)

### deletePortletDefinitionsWithCascade

    public static boolean deletePortletDefinitionsWithCascade(String[] ids,
                                                              HttpServletRequest request)

### deletePortletPreference

    public static void deletePortletPreference(String portletId,
                                               String prefName,
                                               String webAppName,
                                               boolean propagateDelete,
                                               HttpServletRequest request)

### deleteShellDefinitions

    public static void deleteShellDefinitions(String[] ids,
                                              HttpServletRequest request)

### deleteThemeDefinitions

    public static void deleteThemeDefinitions(String[] ids,
                                              HttpServletRequest request)

### deleteThemeDefinitionsWithCascade

    public static void deleteThemeDefinitionsWithCascade(String[] ids,
                                                         HttpServletRequest request)

### editPortletDefinition

    public static void editPortletDefinition(String id)

### generatePortletCategoryArrays

    public static void generatePortletCategoryArrays(String webAppName,
                                                     String indentStr,
                                                     String requestType,
                                                     String requestTypeTaxonomy,
                                                     Locale locale,
                                                     HttpServletRequest request)

### getBookDefinition

    public static BookDefinition getBookDefinition(String id,
                                                   Locale locale,
                                                   HttpServletRequest request)

### getBookDefinitionCount

    public static int getBookDefinitionCount(String webApp,
                                             HttpServletRequest request)

### getBookDefinitions

    public static BookDefinition[] getBookDefinitions(String webapp,
                                                      Locale locale,
                                                      HttpServletRequest request)

### getBookView

    public static BookView getBookView(String bookDefinitionId,
                                       Locale locale,
                                       HttpServletRequest request)

### getBookViews

    public static BookView[] getBookViews(String bookDefinitionId,
                                          Locale locale,
                                          HttpServletRequest request)

### getBookViewsForPage

    public static BookView[] getBookViewsForPage(String pageDefinitionId,
                                                 Locale locale,
                                                 HttpServletRequest request)

### getDesktopDefinition

    public static DesktopDefinition getDesktopDefinition(String webApp,
                                                         String portalPath,
                                                         String desktopPath,
                                                         Locale locale,
                                                         HttpServletRequest request)

### getDesktopDefinitionCount

    public static int getDesktopDefinitionCount(String portalPath,
                                                String webApp,
                                                HttpServletRequest request)

### getDesktopDefinitions

    public static DesktopDefinition[] getDesktopDefinitions(String webapp,
                                                            Locale locale,
                                                            HttpServletRequest request)

### getDesktopDefinitions

    public static DesktopDefinition[] getDesktopDefinitions(String webapp,
                                                            String portalPath,
                                                            Locale locale,
                                                            HttpServletRequest request)

### getDesktopDefinitions

    public static DesktopDefinition[] getDesktopDefinitions(String webapp,
                                                            String startPath,
                                                            String portalPath,
                                                            int limit,
                                                            Locale locale,
                                                            HttpServletRequest request)

### getLayoutDefinition

    public static LayoutDefinition getLayoutDefinition(LayoutDefinitionId layoutDefinitionId,
                                                       Locale locale,
                                                       HttpServletRequest request)

### getLayoutDefinitionCount

    public static int getLayoutDefinitionCount(String webApp,
                                               HttpServletRequest request)

### getLayoutDefinitions

    public static LayoutDefinition[] getLayoutDefinitions(String webapp,
                                                          String layoutId,
                                                          int limit,
                                                          Locale locale,
                                                          HttpServletRequest request)

### getLocalizationResources

    public static LocalizationResource[] getLocalizationResources(LocalizationIntersectionId id)

### getLookAndFeelDefinition

    public static LookAndFeelDefinition getLookAndFeelDefinition(String lookId,
                                                                 Locale locale,
                                                                 HttpServletRequest request)

### getLookAndFeelDefinitionCount

    public static int getLookAndFeelDefinitionCount(String webApp,
                                                    HttpServletRequest request)

### getLookAndFeelDefinitions

    public static LookAndFeelDefinition[] getLookAndFeelDefinitions(String webapp,
                                                                    String lookAndFeelId,
                                                                    int limit,
                                                                    Locale locale,
                                                                    HttpServletRequest request)

### getMenuDefinition

    public static MenuDefinition getMenuDefinition(MenuDefinitionId menuDefinitionId,
                                                   Locale locale,
                                                   HttpServletRequest request)

### getMenuDefinitionCount

    public static int getMenuDefinitionCount(String webApp,
                                             HttpServletRequest request)

### getMenuDefinitions

    public static MenuDefinition[] getMenuDefinitions(String webapp,
                                                      String menuId,
                                                      int limit,
                                                      Locale locale,
                                                      HttpServletRequest request)

### getMenuView

    public static MenuView getMenuView(MenuDefinitionId menuDefinitionId,
                                       Locale locale,
                                       HttpServletRequest request)

### getPageDefinition

    public static PageDefinition getPageDefinition(String id,
                                                   Locale locale,
                                                   HttpServletRequest request)

### getPageDefinitionCount

    public static int getPageDefinitionCount(String webApp,
                                             HttpServletRequest request)

### getPageDefinitions

    public static PageDefinition[] getPageDefinitions(String webapp,
                                                      Locale locale,
                                                      HttpServletRequest request)

### getPageView

    public static PageView getPageView(String pageDefinitionId,
                                       Locale locale,
                                       HttpServletRequest request)

### getPageViews

    public static PageView[] getPageViews(String bookDefinitionId,
                                          Locale locale,
                                          HttpServletRequest request)

### getPortalDefinition

    public static PortalDefinition getPortalDefinition(String portalPath,
                                                       String webAppName,
                                                       Locale locale,
                                                       HttpServletRequest request)

### getPortalDefinitions

    public static PortalDefinition[] getPortalDefinitions(String webAppName,
                                                          Locale locale,
                                                          HttpServletRequest request)

### getPortletDefinition

    public static PortletDefinition getPortletDefinition(String id,
                                                         Locale locale,
                                                         HttpServletRequest request)

### getPortletDefinitionCount

    public static int getPortletDefinitionCount(String webApp,
                                                HttpServletRequest request)

### getPortletDefinitions

    public static PortletDefinition[] getPortletDefinitions(PortletCategoryDefinitionId pcdId,
                                                            Locale locale,
                                                            HttpServletRequest request)

### getPortletDefinitions

    public static PortletDefinition[] getPortletDefinitions(String webapp,
                                                            String portletId,
                                                            int limit,
                                                            Locale locale,
                                                            HttpServletRequest request)

### getPortletPreferences

    public static Map getPortletPreferences(String portletId,
                                            String webAppName,
                                            HttpServletRequest request)

### getPortletRootCategoryDefinition

    public static PortletCategoryDefinition getPortletRootCategoryDefinition(String webAppName,
                                                                             Locale locale,
                                                                             HttpServletRequest request)

### getPortletsForCategory

    public static PortletDefinition[] getPortletsForCategory(PortletCategoryDefinition portletCategoryDefinition,
                                                             Locale locale,
                                                             HttpServletRequest request)

### getPortletsHash

    public static HashMap getPortletsHash(PortletDefinition[] portlets)

### getPortletSubCategoryDefinitions

    public static PortletCategoryDefinition[] getPortletSubCategoryDefinitions(PortletCategoryDefinitionId pcdId,
                                                                               Locale locale,
                                                                               HttpServletRequest request)

### getPortletView

    public static PortletView getPortletView(String id,
                                             Locale locale,
                                             HttpServletRequest request)

### getPortletViews

    public static PortletView[] getPortletViews(String pageDefinitionId,
                                                Locale locale,
                                                HttpServletRequest request)

### getPublicBookDefinitions

    public static BookDefinition[] getPublicBookDefinitions(String webapp,
                                                            Locale locale,
                                                            HttpServletRequest request)

### getPublicBookDefinitions

    public static BookDefinition[] getPublicBookDefinitions(String webapp,
                                                            String bookId,
                                                            int limit,
                                                            Locale locale,
                                                            HttpServletRequest request)

### getPublicBookDefinitions

    public static BookDefinition[] getPublicBookDefinitions(String webapp,
                                                            String bookId,
                                                            int limit,
                                                            String portalPath,
                                                            String desktopPath,
                                                            Locale locale,
                                                            HttpServletRequest request)

### getPublicPageDefinitions

    public static PageDefinition[] getPublicPageDefinitions(String webapp,
                                                            Locale locale,
                                                            HttpServletRequest request)

### getPublicPageDefinitions

    public static PageDefinition[] getPublicPageDefinitions(String webapp,
                                                            String pageId,
                                                            int limit,
                                                            Locale locale,
                                                            HttpServletRequest request)

### getPublicPageDefinitions

    public static PageDefinition[] getPublicPageDefinitions(String webapp,
                                                            String pageId,
                                                            int limit,
                                                            String portalPath,
                                                            String desktopPath,
                                                            Locale locale,
                                                            HttpServletRequest request)

### getServletURI

    public static String getServletURI(String webApp)

### getShellDefinitionCount

    public static int getShellDefinitionCount(String webApp,
                                              HttpServletRequest request)

### getShellDefinitions

    public static ShellDefinition[] getShellDefinitions(String webapp,
                                                        Locale locale,
                                                        HttpServletRequest request)

### getShellDefinitions

    public static ShellDefinition[] getShellDefinitions(String webapp,
                                                        String shellId,
                                                        int limit,
                                                        Locale locale,
                                                        HttpServletRequest request)

  **** Taking this out for now.... public static boolean isVisitorToolsEnabledInBookDefinition(String webApp, String bookId, HttpServletRequest request) { try { CustomizationContext cc = new CustomizationContext(Locale.getDefault(), request);

  BookDefinitionId bdi = new BookDefinitionId(Integer.parseInt(bookId)); BookDefinition bookDefinition = PortalBeanManager.getBookDefinitionManager().getBookDefinition(cc, bdi);

  if (bookDefinition.getMarkupDefinitionId().getId() == MarkupDefinition.MARKUP_BOOK_VISITOR_TOOL_ID.getId()) { return true; } } catch (Exception e) { PortalAdminToolsLogger.portalAdminError("PortalAdminManager.isVisitorToolsEnabledInBookDefinition() -- " + e.toString()); }

  return false; }

  public static void updateVisitorToolsInDesktopDefinition(String webApp, String portalPath, String desktopPath, boolean enableVisitorTools, HttpServletRequest request) { try { CustomizationContext cc = new CustomizationContext(Locale.getDefault(), request); DesktopDefinitionId ddi = new DesktopDefinitionId(webApp, new PortalPath(portalPath), new DesktopPath(desktopPath)); DesktopDefinition dd = PortalBeanManager.getDesktopDefinitionManager().getDesktopDefinition(cc, ddi);

  BookDefinitionId bdi = dd.getBookDefinitionId(); BookDefinition bookDefinition = PortalBeanManager.getBookDefinitionManager().getBookDefinition(cc, bdi);

  MarkupDefinitionId mdi = null; if (enableVisitorTools) { mdi = MarkupDefinition.MARKUP_BOOK_VISITOR_TOOL_ID; } else { mdi = MarkupDefinition.MARKUP_BOOK_NO_MIN_NO_MAX_ID; }

  bookDefinition.setMarkupDefinitionId(mdi); PortalBeanManager.getBookDefinitionManager().updateBookDefinition(cc, bookDefinition); } catch (Exception e) { PortalAdminToolsLogger.portalAdminError("PortalAdminManager.updateVisitorToolsInDesktopDefinition() -- " + e.toString()); } }

### getThemeDefinitionCount

    public static int getThemeDefinitionCount(String webApp,
                                              HttpServletRequest request)

### getThemeDefinitions

    public static ThemeDefinition[] getThemeDefinitions(String webapp,
                                                        String themeId,
                                                        int limit,
                                                        Locale locale,
                                                        HttpServletRequest request)

### getWebApps

    public static String[] getWebApps(Locale locale,
                                      HttpServletRequest request)

### isCanManageAccessAllowed

    public static boolean isCanManageAccessAllowed(String webAppName,
                                                   String taxonomy,
                                                   HttpServletRequest request)

  Check for DA access...

### isCanManageAllInstancesAccessAllowed

    public static boolean isCanManageAllInstancesAccessAllowed(String webAppName,
                                                               String taxonomy,
                                                               HttpServletRequest request)

### isCanManageInstanceAccessAllowed

    public static boolean isCanManageInstanceAccessAllowed(String webAppName,
                                                           String taxonomy,
                                                           HttpServletRequest request)

### isCanManageOtherAccessAllowed

    public static boolean isCanManageOtherAccessAllowed(String webAppName,
                                                        String taxonomy,
                                                        HttpServletRequest request)

### isPlaceholderLocked

    public static boolean isPlaceholderLocked(String webApp,
                                              String pageId,
                                              String placeholderNum,
                                              HttpServletRequest request)

### moveNavigableInBookDefinition

    public static void moveNavigableInBookDefinition(String navId,
                                                     String bookId,
                                                     String navType,
                                                     String navPosition,
                                                     HttpServletRequest request)

### movePlaceableDefinitions

    public static void movePlaceableDefinitions(com.bea.jsptools.portal.placement.PlaceablePlacement[] placeables,
                                                String pageId,
                                                HttpServletRequest request)

  Moves Placeables in a Page Definition.

### propagatePortletPreference

    public static PortletInstanceId propagatePortletPreference(String portletId,
                                                               String webAppName,
                                                               HttpServletRequest request)

### removeNavFromBookDefinition

    public static boolean removeNavFromBookDefinition(String navId,
                                                      String bookId,
                                                      String navType,
                                                      HttpServletRequest request)

  Removes a Navigable from a Book Definition.

### removePlaceableDefinitions

    public static void removePlaceableDefinitions(com.bea.jsptools.portal.placement.PlaceablePlacement[] placeables,
                                                  HttpServletRequest request)

### removePlaceableFromPageDefinition

    public static boolean removePlaceableFromPageDefinition(String placeableId,
                                                            String pageId,
                                                            String placeableType,
                                                            HttpServletRequest request)

  Removes a Placeable from a Page Definition.

### searchDesktopDefinitions

    public static DesktopDefinition[] searchDesktopDefinitions(String webapp,
                                                               String searchValue,
                                                               String portalPath,
                                                               int limit,
                                                               Locale locale,
                                                               HttpServletRequest request)

### searchPortletDefinitions

    public static PortletDefinition[] searchPortletDefinitions(String webapp,
                                                               String searchValue,
                                                               int limit,
                                                               Locale locale,
                                                               HttpServletRequest request)

### searchPublicBookDefinitions

    public static BookDefinition[] searchPublicBookDefinitions(String webapp,
                                                               String searchValue,
                                                               int limit,
                                                               Locale locale,
                                                               HttpServletRequest request)

### searchPublicPageDefinitions

    public static PageDefinition[] searchPublicPageDefinitions(String webapp,
                                                               String searchValue,
                                                               int limit,
                                                               Locale locale,
                                                               HttpServletRequest request)

### setDefaultNavigableInBookDefinition

    public static void setDefaultNavigableInBookDefinition(String bookId,
                                                           String navId,
                                                           String navType,
                                                           HttpServletRequest request)

### setPlaceholderLock

    public static void setPlaceholderLock(String webApp,
                                          String pageId,
                                          String placeholderNum,
                                          String lockValue,
                                          HttpServletRequest request)

### setPortletPreference

    public static PortletInstanceId setPortletPreference(String portletId,
                                                         String prefName,
                                                         String prefDescription,
                                                         String[] prefValues,
                                                         String webAppName,
                                                         boolean propagateValue,
                                                         boolean isModifiable,
                                                         boolean isMultiValue,
                                                         HttpServletRequest request)

### supportsPortletPreferences

    public static boolean supportsPortletPreferences(String portletId,
                                                     String webAppName,
                                                     HttpServletRequest request)

### updateBookDefinition

    public static void updateBookDefinition(String bookId,
                                            String newMenuId,
                                            String newThemeId,
                                            Locale locale,
                                            HttpServletRequest request)

### updateBookInDesktopDefinition

    public static void updateBookInDesktopDefinition(String webApp,
                                                     String portalPath,
                                                     String desktopPath,
                                                     String bookId,
                                                     HttpServletRequest request)

### updateLookAndFeelInDesktopDefinition

    public static void updateLookAndFeelInDesktopDefinition(String webApp,
                                                            String portalPath,
                                                            String desktopPath,
                                                            String lookId,
                                                            HttpServletRequest request)

### updatePageDefinition

    public static void updatePageDefinition(PageDefinitionId pdi,
                                            String newLabel,
                                            boolean newHidden,
                                            Locale locale,
                                            HttpServletRequest request)

### updatePageDefinition

    public static void updatePageDefinition(String pageId,
                                            String newLayoutId,
                                            String newThemeId,
                                            Locale locale,
                                            HttpServletRequest request)

### updatePageDefinitionLayout

    public static void updatePageDefinitionLayout(String pageId,
                                                  String newLayoutId,
                                                  Locale locale,
                                                  HttpServletRequest request)

### updatePortalUri

    public static void updatePortalUri(String webAppName,
                                       String portalPath,
                                       String newPortalUri,
                                       Locale locale,
                                       HttpServletRequest request)

### updatePortletDefinition

    public static void updatePortletDefinition(String id,
                                               String newThemeId,
                                               Locale locale,
                                               HttpServletRequest request)

### updatePortletDefinitionCache

    public static void updatePortletDefinitionCache(String id,
                                                    boolean isCacheable,
                                                    int cacheTime,
                                                    Locale locale,
                                                    HttpServletRequest request)

### updatePortletDefinitionThread

    public static void updatePortletDefinitionThread(String id,
                                                     boolean multithread,
                                                     Locale locale,
                                                     HttpServletRequest request)

### updateShellInDesktopDefinition

    public static void updateShellInDesktopDefinition(String webApp,
                                                      String portalPath,
                                                      String desktopPath,
                                                      String shellId,
                                                      HttpServletRequest request)

### updateTreeOptimizationInDesktopDefinition

    public static void updateTreeOptimizationInDesktopDefinition(String webApp,
                                                                 String portalPath,
                                                                 String desktopPath,
                                                                 boolean treeOptimization,
                                                                 HttpServletRequest request)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved